FindBugsXmlReport (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.api.plugins.quality

## [Java] Interface FindBugsXmlReport

- org.gradle.api.reporting.SingleFileReport

- All Superinterfaces:
    Report, ConfigurableReport, SingleFileReport

  The single file XML report for FindBugs.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Report` | `NAMER`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `isWithMessages()` Whether or not FindBugs should generate XML augmented with human-readable messages.
    `void` | `setWithMessages(boolean withMessages)` Whether or not FindBugs should generate XML augmented with human-readable messages.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface SingleFileReport` | `getOutputType`
    `interface ConfigurableReport` | `setDestination`
    `interface Report` | `getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled`
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`

- - ### Method Detail

    - #### public boolean isWithMessages()

      Whether or not FindBugs should generate XML augmented with human-readable messages. You should use this format if you plan to generate a report using an XSL stylesheet.

      If `true`, FindBugs will augment the XML with human-readable messages. If `false`, FindBugs will not augment the XML with human-readable messages.

      Returns:
        Whether or not FindBugs should generate XML augmented with human-readable messages.

    - #### public void setWithMessages(boolean withMessages)

      Whether or not FindBugs should generate XML augmented with human-readable messages.

      Parameters:
        `withMessages` - Whether or not FindBugs should generate XML augmented with human-readable messages.
      See Also:
        isWithMessages()